{
  "custom": {},
  "params": {
    "event_message_type": "",
    "event_payload": null,
    "text": ""
  },
  "propConfig": {
    "params.event_message_type": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.event_payload": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 206,
      "width": 276
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "lbl_Title"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 0,
              "name": "sm",
              "order": 1,
              "rowIndex": 0,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "md",
              "order": 1,
              "rowIndex": 0,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "lg",
              "order": 2,
              "rowIndex": 0,
              "span": 12
            }
          ],
          "height": 60
        },
        "props": {
          "style": {
            "fontFamily": "Roboto",
            "textAlign": "center"
          },
          "text": "Are you sure?"
        },
        "type": "ia.display.label"
      },
      {
        "events": {
          "dom": {
            "onClick": {
              "config": {
                "script": "\t\n\t\"\"\"\n\t\tUtilize this generic popup to confirm some action in the project.\n\t\tIf OK, it confirms the \"action\" on the \"value\" that was passed in as params on the view.\n\t\t\n\t\tOn Message receive, evaluate if \"confirm\" \u003d\u003d True to take appropriate action\n\t\t\n\t\"\"\"\n\tsystem.perspective.sendMessage(\n\t\tself.view.params.event_message_type,\n\t\tself.view.params.event_payload,\n\t\t\u0027page\u0027\n\t)\n\tsystem.perspective.closePopup(\u0027\u0027)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "btn_Confirm"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 1,
              "name": "sm",
              "order": 1,
              "rowIndex": 2,
              "span": 4
            },
            {
              "colIndex": 1,
              "name": "md",
              "order": 1,
              "rowIndex": 2,
              "span": 4
            },
            {
              "colIndex": 1,
              "name": "lg",
              "order": 1,
              "rowIndex": 2,
              "span": 4
            }
          ],
          "height": 40
        },
        "props": {
          "style": {
            "classes": "Buttons/X-Small_Button",
            "height": "48px",
            "width": "100px"
          },
          "text": "OK"
        },
        "type": "ia.input.button"
      },
      {
        "events": {
          "dom": {
            "onClick": {
              "config": {
                "script": "\tsystem.perspective.closePopup(\u0027\u0027)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "btn_Cancel"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 7,
              "name": "sm",
              "order": 1.5,
              "rowIndex": 2,
              "span": 4
            },
            {
              "colIndex": 7,
              "name": "md",
              "order": 1.5,
              "rowIndex": 2,
              "span": 4
            },
            {
              "colIndex": 6,
              "name": "lg",
              "order": 1.5,
              "rowIndex": 2,
              "span": 4
            }
          ],
          "height": 39
        },
        "props": {
          "style": {
            "classes": "Buttons/X-Small_Button",
            "height": "48px",
            "width": "100px"
          },
          "text": "Cancel"
        },
        "type": "ia.input.button"
      },
      {
        "meta": {
          "name": "lbl_Text"
        },
        "position": {
          "breakpoints": [
            {
              "colIndex": 0,
              "name": "sm",
              "order": 1.5,
              "rowIndex": 1,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "md",
              "order": 1.5,
              "rowIndex": 1,
              "span": 12
            },
            {
              "colIndex": 0,
              "name": "lg",
              "order": 1.5,
              "rowIndex": 1,
              "span": 12
            }
          ],
          "height": 60
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "expression": "{view.params.text}"
              },
              "type": "expr"
            }
          }
        },
        "props": {
          "style": {
            "fontFamily": "Roboto",
            "fontWeight": "bold",
            "textAlign": "center"
          }
        },
        "type": "ia.display.label"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "style": {
        "backgroundColor": "#FFFEFE",
        "overflow": "hidden"
      }
    },
    "type": "ia.container.column"
  }
}